List a Project's Debug Information Files

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/files/dsyms/

Retrieve a list of debug information files for a given project.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to.

Query Parameters:

query (string)

Substring filter matched against object name, debug ID, code ID, CPU name, and file headers.

debug_id (string)

Filter results to debug information files matching the given debug ID.

code_id (string)

Filter results to debug information files matching the given code ID.

file_formats (array(string))

Restrict results to one or more file formats.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:read
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/files/dsyms/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "1066716922", "uuid": "d8f92f82-3dbc-4fbb-ae68-69e881a9becc", "debugId": "d8f92f82-3dbc-4fbb-ae68-69e881a9becc", "codeId": null, "cpuName": "any", "objectName": "proguard-mapping", "symbolType": "proguard", "headers": { "Content-Type": "text/x-proguard+plain" }, "size": 12868987, "sha1": "c31bcca43ff75e8c94c336e647d518fb05dcf658", "dateCreated": "2026-03-24T23:31:18.583107Z", "data": { "features": [ "mapping" ] } }, { "id": "1066716918", "uuid": "d50e6bca-81a4-662b-8461-e1c5e27f157b", "debugId": "d50e6bca-81a4-662b-8461-e1c5e27f157b", "codeId": "ca6b0ed5a4812b668461e1c5e27f157b8422d5bd", "cpuName": "arm64", "objectName": "libxamarin-app.dbg.so", "symbolType": "elf", "headers": { "Content-Type": "application/x-elf-binary" }, "size": 41584, "sha1": "ac40db6f7fff550f82c63242f618e2d3987cc3c7", "dateCreated": "2026-03-24T23:31:18.465820Z", "data": { "type": "dbg", "features": [ "symtab" ] } } ]
Was this helpful?